import {ModelComponentType} from "./ModelComponentType";
import {ModelComponent} from "./ModelComponent";

export class ModelComponentTypeUtillities {
  static toString(modelComponentType: ModelComponentType | undefined): string {
    switch (modelComponentType) {
      case ModelComponentType.SCRIPTACCOUNT: return "ScriptAccounts";
      default: return "Undefined";
    }
  }

  static toSingleString(modelComponentType: ModelComponentType | undefined): string {
    switch (modelComponentType) {
      case ModelComponentType.SCRIPTACCOUNT: return "ScriptAccount";
      default: return "Undefined";
    }
  }
}
